device_type: "qemu"

job_name: "tuxrun@qemu-i386: kselftest-ipc"
priority: "medium"
visibility: "public"

context:
    arch: "i386"
    machine: "q35"
    cpu: "coreduo"
    memory: "4G"
    extra_options: ["-no-reboot", "-smp 2"]
    no_kvm: true
    no_network: true
timeouts:
  job:
    minutes: 25
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 5
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyS0,115200 rootwait root=/dev/sda debug verbose console_msg_format=syslog systemd.log_level=warning earlycon"'
        url: "https://storage.tuxboot.com/buildroot/i386/bzImage"
      rootfs:
        image_arg: "-drive file={rootfs},if=ide,format=raw"
        url: "https://storage.tuxboot.com/buildroot/i386/rootfs.ext4.zst"
        compression: zstd
        format: ext4
        overlays:
          lava: true
          kselftest:
            url: "https://example.com/kselftest.tar.xz"
            path: "/opt/kselftests/default-in-kernel/"
            format: tar
            compression: xz
          cpupower:
            url: "https://example.com/cpupower.tar.xz"
            path: "/"
            format: tar
            compression: xz
- boot:
    method: qemu
    timeout:
      minutes: 15
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
- test:
    timeout:
      minutes: 5
    definitions:
    - repository: file://testdef.tar.zst
      lava-signal: kmsg
      from: url
      compression: zstd
      path: automated/linux/kselftest/kselftest.yaml
      parameters:
        TST_CMDFILES: "ipc"
        KSELFTEST_PATH: "/opt/kselftests/default-in-kernel"
        SKIPFILE: "skipfile-lkft.yaml"
        ENVIRONMENT: "production"
        SHARD_NUMBER: 1
        SHARD_INDEX: 1
      name: kselftest-ipc
